package com.hfkj.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component("commonSysConfig")
@ConfigurationProperties
@PropertySource("classpath:/commonConfig.properties")
@Data
public class CommonSysConfig {

    /**
     * 微信小程序appid
     */
    private String wechatMaAppid;
    /**
     * 微信小程序secret
     */
    private String wechatMaSecret;
    /**
     * 微信公众号appid
     */
    private String wechatMpAppid;
    /**
     * 微信公众号secret
     */
    private String wechatMpSecret;

    /**
     * 【惠支付】支付渠道回调地址
     */
    private String huiPayPreorderNotifyUrl;

}
